## addchain 0.4.0

=== debian/changelog ===
addchain (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #1127657)

 -- Simon Josefsson <simon@josefsson.org>  Wed, 11 Feb 2026 11:47:07 +0100
