=== debian/control ===
Source: addchain
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 dpkg-build-api (= 1),
 golang-any,
 golang-github-google-subcommands-dev,
 golang-github-mmcloughlin-profile-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/addchain
Vcs-Git: https://salsa.debian.org/go-team/packages/addchain.git
Homepage: https://github.com/mmcloughlin/addchain
XS-Go-Import-Path: github.com/mmcloughlin/addchain

Package: addchain
Section: devel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Cryptographic Addition Chain Generation in Go (program)
 Cryptographic Addition Chain Generation in Go
 addchain generates short addition chains for exponents of cryptographic
 interest with results rivaling the best hand-optimized chains. Intended
 as a building block in elliptic curve or other cryptographic code
 generators.
 .
  * Suite of algorithms from academic research: continued fractions,
    dictionary-based and Bos-Coster heuristics
  * Custom run-length techniques exploit structure of cryptographic
    exponents
    with excellent results on Solinas primes
  * Generic optimization methods eliminate redundant operations
  * Simple domain-specific language for addition chain computations
  * Command-line interface or library
  * Code generation and templated output support
 .
 This package contains the 'addchain' tool.

Package: golang-github-mmcloughlin-addchain-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-google-subcommands-dev,
 golang-github-mmcloughlin-profile-dev,
 ${misc:Depends},
Description: Cryptographic Addition Chain Generation in Go (library)
 Cryptographic Addition Chain Generation in Go
 addchain generates short addition chains for exponents of cryptographic
 interest with results rivaling the best hand-optimized chains. Intended
 as a building block in elliptic curve or other cryptographic code
 generators.
 .
  * Suite of algorithms from academic research: continued fractions,
    dictionary-based and Bos-Coster heuristics
  * Custom run-length techniques exploit structure of cryptographic
    exponents
    with excellent results on Solinas primes
  * Generic optimization methods eliminate redundant operations
  * Simple domain-specific language for addition chain computations
  * Command-line interface or library
  * Code generation and templated output support
 .
 This package contains the Go development library.
