=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := \
	$(wildcard internal/gen/templates/*.tmpl)		\
	$(wildcard internal/tools/docgen/templates/*.tmpl)

%:
	dh $@ --builddirectory=debian/_build --buildsystem=golang

execute_after_dh_install:
	rm -fv $(CURDIR)/debian/addchain/usr/bin/release
	rm -fv $(CURDIR)/debian/addchain/usr/bin/docgen
